%define _debugsource_template %{nil}
%define debug_package %{nil}
Name:           wave420l-venc
Version:        1.0
Release:        1.jh7110%{?dist}
Summary:        OpenOMX  Video encoder library.(JH7110 Video encoder library)
License:        MIT
URL:            https://github.com/starfive-tech/
Source0:        wave420l-venc.tar.gz

BuildRequires: automake 
BuildRequires: gcc 
BuildRequires: make
BuildRequires: libavformat-free-devel
BuildRequires: libavutil-free-devel
BuildRequires: libavcodec-free-devel
BuildRequires: libswresample-free-devel 

%description
OpenOMX Video encoder library with firmwware.
Build on Fedora 41.

%prep
%setup -q

%build
export CFLAGS="-Wall"
cd %{_builddir}/wave420l-venc-1.0/wave420l/code
make -f WaveEncoder_buildroot.mak clean
make -f WaveEncoder_buildroot.mak


%install
cd %{_builddir}/wave420l-venc-1.0/wave420l/code
make -f WaveEncoder_buildroot.mak  install TARGET_DIR=%{buildroot} 
mv %{buildroot}/usr/lib %{buildroot}/usr/lib64


%files 
%{_libdir}/libsfenc.so
/lib/firmware/monet.bin
/lib/firmware/encoder_defconfig.cfg
%{_includedir}/wave420l/




%changelog
* Wed Jul 10 2024 Leo Lu <leo.lu@starfivetech.com> - 1.0
- JH7110 OpenMAX Build Packages On F41.
